SLikeNet 0.1.3

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Types | Public Attributes | List of all members
DataStructures::BPlusTree< KeyType, DataType, order >::ReturnAction Struct Reference

`#include <slikenet/DS_BPlusTree.h>`

## Public Types

enum | { NO_ACTION, REPLACE_KEY1_WITH_KEY2, PUSH_KEY_TO_PARENT, SET_BRANCH_KEY }

## Public Attributes

KeyType | key1
KeyType | key2
enum DataStructures::BPlusTree::ReturnAction:: { ... } | action

## Detailed Description

### template<class KeyType, class DataType, int order>
struct DataStructures::BPlusTree< KeyType, DataType, order >::ReturnAction

Definition at line 80 of file DS_BPlusTree.h.

## Member Enumeration Documentation

template<class KeyType, class DataType, int order>

anonymous enum

Enumerator:

  NO_ACTION |
  REPLACE_KEY1_WITH_KEY2 |
  PUSH_KEY_TO_PARENT |
  SET_BRANCH_KEY |

Definition at line 84 of file DS_BPlusTree.h.

## Member Data Documentation

enum { ... } DataStructures::BPlusTree< KeyType, DataType, order >::ReturnAction::action

Referenced by DataStructures::BPlusTree< KeyType, DataType, order >::Delete(), DataStructures::BPlusTree< KeyType, DataType, order >::FindDeleteRebalance(), DataStructures::BPlusTree< KeyType, DataType, order >::FixUnderflow(), DataStructures::BPlusTree< KeyType, DataType, order >::Insert(), DataStructures::BPlusTree< KeyType, DataType, order >::InsertBranchDown(), and DataStructures::BPlusTree< KeyType, DataType, order >::InsertIntoNode().

template<class KeyType, class DataType, int order>

KeyType DataStructures::BPlusTree< KeyType, DataType, order >::ReturnAction::key1

Definition at line 82 of file DS_BPlusTree.h.

Referenced by DataStructures::BPlusTree< KeyType, DataType, order >::FindDeleteRebalance(), DataStructures::BPlusTree< KeyType, DataType, order >::FixUnderflow(), DataStructures::BPlusTree< KeyType, DataType, order >::Insert(), DataStructures::BPlusTree< KeyType, DataType, order >::InsertBranchDown(), DataStructures::BPlusTree< KeyType, DataType, order >::InsertIntoNode(), DataStructures::BPlusTree< KeyType, DataType, order >::RotateLeft(), and DataStructures::BPlusTree< KeyType, DataType, order >::RotateRight().

template<class KeyType, class DataType, int order>

KeyType DataStructures::BPlusTree< KeyType, DataType, order >::ReturnAction::key2

Definition at line 83 of file DS_BPlusTree.h.

Referenced by DataStructures::BPlusTree< KeyType, DataType, order >::InsertBranchDown(), DataStructures::BPlusTree< KeyType, DataType, order >::RotateLeft(), and DataStructures::BPlusTree< KeyType, DataType, order >::RotateRight().

The documentation for this struct was generated from the following file:

- Source/include/slikenet/DS_BPlusTree.h